### Method

# Gio TlsInteraction ask_password_finish

since: 2.30

#### Declaration

    GTlsInteractionResult
    g_tls_interaction_ask_password_finish (
      GTlsInteraction* interaction,
      GAsyncResult* result,
      GError** error
    )

#### Description

Complete an ask password user interaction request. This should be once the `g_tls_interaction_ask_password_async()` completion callback is called.

If `G_TLS_INTERACTION_HANDLED` is returned, then the `GTlsPassword` passed to `g_tls_interaction_ask_password()` will have its password filled in.

If the interaction is cancelled by the cancellation object, or by the user then `G_TLS_INTERACTION_FAILED` will be returned with an error that contains a `G_IO_ERROR_CANCELLED` error code.

Available since: 2.30

#### Parameters

`result`

  Type: `GAsyncResult`

  The result passed to the callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GTlsInteractionResult`

The status of the ask password interaction.